<?php

namespace Drupal\imce_dfp\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines an ImceDfp annotation object.
 *
 * Plugin Namespace: Plugin\ImceDfp
 *
 * @see \Drupal\imce_dfp\Service\ImceDfpManager
 * @see \Drupal\imce_dfp\Service\ImceDfpPluginInterface
 * @see plugin_api
 *
 * @Annotation
 */
class ImceDfp extends Plugin {

  /**
   * The ImceDfp plugin ID.
   *
   * @var string
   */
  public $id;

  /**
   * The human-readable name of the ImceDfp plugin.
   *
   * @ingroup plugin_translatable
   *
   * @var \Drupal\Core\Annotation\Translation
   */
  public $title;

  /**
   * The description of the ImceDfp plugin.
   *
   * @ingroup plugin_translatable
   *
   * @var \Drupal\Core\Annotation\Translation
   */
  public $description;

}
