<?php

namespace Drupal\imce_dfp\Service;

use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Plugin\DefaultPluginManager;
use Drupal\Core\Extension\ModuleHandlerInterface;
use Drupal\imce_dfp\Annotation\ImceDfp;

class ImceDfpManager extends DefaultPluginManager {

  /**
   * Constructs a ImceDfpManager object.
   *
   * @param \Traversable $namespaces
   *   An object that implements \Traversable which contains the root paths
   *   keyed by the corresponding namespace to look for plugin implementations.
   * @param \Drupal\Core\Cache\CacheBackendInterface $cache_backend
   *   Cache backend instance to use.
   * @param \Drupal\Core\Extension\ModuleHandlerInterface $module_handler
   *   The module handler to invoke the alter hook with.
   */
  public function __construct(\Traversable $namespaces, CacheBackendInterface $cache_backend, ModuleHandlerInterface $module_handler) {
    parent::__construct(
      'Plugin/ImceDfp',
      $namespaces,
      $module_handler,
      ImceDfpPluginInterface::class,
      ImceDfp::class
    );
    $this->alterInfo('imce_dfp_info');
    $this->setCacheBackend($cache_backend, 'imce_dfp_info');
  }

}
